- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vdirect_file – Uploads a new or updates an existing runnable file into Radware vDirect server

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Uploads a new or updates an existing configuration template or workflow template into the Radware vDirect server. All parameters may be set as environment variables.

## Requirements

The below requirements are needed on the host that executes this module.

- vdirect-client >= 4.1.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
file_name - / required |  | vDirect runnable file name to be uploaded. May be velocity configuration template (.vm) or workflow template zip file (.zip).
validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates will not be validated, may be set as VDIRECT_VALIDATE_CERTS or VDIRECT_VERIFY environment variable. This should only set to `no` used on personally controlled sites using self-signed certificates. aliases: vdirect_validate_certs
vdirect_http_port - | Default: 2188 | vDirect server HTTP port number, may be set as VDIRECT_HTTP_PORT environment variable.
vdirect_https_port - | Default: 2189 | vDirect server HTTPS port number, may be set as VDIRECT_HTTPS_PORT environment variable.
vdirect_ip - / required |  | Primary vDirect server IP address, may be set as VDIRECT_IP environment variable.
vdirect_password - / required |  | vDirect server password, may be set as VDIRECT_PASSWORD environment variable.
vdirect_secondary_ip - |  | Secondary vDirect server IP address, may be set as VDIRECT_SECONDARY_IP environment variable.
vdirect_timeout - | Default: 60 | Amount of time to wait for async operation completion [seconds], may be set as VDIRECT_TIMEOUT environment variable.
vdirect_use_ssl boolean | Choices: no yes ← | If `no`, an HTTP connection will be used instead of the default HTTPS connection, may be set as VDIRECT_HTTPS or VDIRECT_USE_SSL environment variable.
vdirect_user - / required |  | vDirect server username, may be set as VDIRECT_USER environment variable.
vdirect_wait boolean | Choices: no yes ← | Wait for async operation to complete, may be set as VDIRECT_WAIT environment variable.

## Notes

Note

- Requires the Radware vdirect-client Python package on the host. This is as easy as `pip install vdirect-client`

## Examples

    - name: vdirect_file
      vdirect_file:
          vdirect_ip: 10.10.10.10
          vdirect_user: vDirect
          vdirect_password: radware
          file_name: /tmp/get_vlans.vm

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
result string | success | Message detailing upload result Sample: Workflow template created

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Evgeny Fedoruk @ Radware LTD (@evgenyfedoruk)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.